@import "~@angular/material/prebuilt-themes/indigo-pink.css";

* {
  font-family: 'Dosis'
}

.sidebar .nav p {
  font-size: 18px;
}

.sidebar .nav li a {
  margin-left: 0px !important;
}

.sidebar[data-color=purple] li.active > a {
  background-color: #7b1fa2;
  background-image: linear-gradient(to right, #303f9f, #453ba2, #5735a4, #6a2ca4, #7b1fa2);
  width: 93%;
  margin-left: 0;
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}

.sidebar-background {
  background: none !important;
  background: #fff;
}

.sidebar .nav i {
  color: #777;
}

.sidebar .logo:after {
  display: none;
}

.wrapper-container {
  //padding:5px 10px;
}

.sidebar .logo-img {
  width: 100%;
  margin-left: 0;
  margin-bottom: 60px;
  img {
    position: static;
    margin: auto;
    width: 80%;
    display: block;
  }
}

.rotate-180 {
  transform: rotate(180deg);
}

#sidebarBottomItems {
  position: absolute;
  bottom: 10%;
}

.navbar.fixed-top {
  padding: 10px 10px 70px 10px;
  background-color: #7b1fa2;
  background-image: linear-gradient(to right, #303f9f, #453ba2, #5735a4, #6a2ca4, #7b1fa2);
  #navbarSearchWrapper {
    background-image: linear-gradient(to right, #7c73bd, #926abe);
    border: none !important;
    padding: 0 0 0 60px;
    width: 60%;
    position: relative;
    display: inline-block;
    border-radius: 3px;
    input {
      padding: 10px 10px;
      background-color: transparent;
      border: none;
      outline: 0;
      color: #faf6ff;
      font-size: 1.2rem;
      width: 100%;
    }
    i {
      position: absolute;
      left: 30px;
      font-size: 26px;
      top: 50%;
      transform: translateY(-50%);
      color: #c9c5d8;
    }
  }
  #navbarSearchWrapper input::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #c9c5d8;
    opacity: 0.9; /* Firefox */
  }
  #navbarSearchWrapper input:-ms-input-placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #c9c5d8;
    opacity: 0.9; /* Internet Explorer 10-11 */
  }
  #navbarSearchWrapper input:-ms-input-placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #c9c5d8;
    opacity: 0.9; /* Edge */
  }
}

.main-panel .main-content {
  padding: 30px 25px;
}

.main-content .page-wrapper-cs {
  background-color: #fff;
  position: relative;
  top: -15px;
  border-radius: 3px;
  z-index: 99999999;
}

//--------------------------margins-----------------------------
.margin-t-10 {
  margin-top: 10px !important;
}

.margin-t-20 {
  margin-top: 20px !important;
}

.margin-t-30 {
  margin-top: 30px !important;
}

.margin-t-50 {
  margin-top: 50px;
}

.margin-l-20 {
  margin-left: 20px;
}

.margin-l-40 {
  margin-left: 40px;
}

.margin-l-60 {
  margin-left: 50px;
}

.margin-l-80 {
  margin-left: 80px;
}

.margin-b-10 {
  margin-bottom: 10px;
}

//--------------------------margins-----------------------------

//--------------------------paddings-----------------------------
.padd-10 {
  padding: 10px;
}

.padd-20 {
  padding: 20px;
}

.padd-30 {
  padding: 30px;
}

.padd-40 {
  padding: 40px;
}

.padd-l-45 {
  padding-left: 45px;
}

.padd-t-30 {
  padding-top: 30px;
}

//--------------------------paddings-----------------------------

.mat-datepicker-popup, .mat-datepicker-popup *, .cdk-overlay-container {
  z-index: 999999999999999 !important;
}

.mat-form-field-underline {
  display: none;
}

.custom-tab-1 {
  .mat-tab-label {
    .mat-tab-label-content {
      font-weight: 900;
    }
  }
  .mat-tab-label-active {
    border-bottom: 3px solid #654;
  }
  .mat-ink-bar {
    background-color: #7b1fa2 !important;
    height: 4px;
  }
  .mat-tab-body {
    padding: 0 22px 70px 22px;
    overflow-x: hidden;
    .item-wrapper {
      width: 90%;
      border-bottom: 2px solid #ddd;
      //height: 100%;
      padding-top: 10px;
      padding-bottom: 5px;
    }
    .mat-tab-body-content {
      overflow-x: hidden;
    }
    .mat-form-field-wrapper {
      padding-bottom: 10px;
    }
    .mat-form-field-suffix .mat-icon-button {
      position: absolute;
      right: 4px;
      top: -8px;
    }
    .mat-form-field {
      width: 100%;
      .mat-form-field-infix {
        //border-bottom: 2px solid #ddd;
        border-bottom: none;
        padding-bottom: 0;
      }
    }
    .mat-form-field.border-0 .mat-form-field-infix{
      border: none;
    }
    mat-radio-group {
      display: block;
      padding: .4375em 0;
      border-top: 13.5px solid transparent;
      .mat-radio-button {
        margin-left: 20px;
      }
    }
    label {
      color: #999;
      line-height: 27px;
      font-size: 1rem;
      margin-bottom: 0;
    }
    .mat-form-field-label-wrapper {
      padding-bottom: 10px;
    }
    .mat-radio-group, .mat-form-field {
      padding-bottom: 0;
    }
    .inline-span-input input {
      width: 70px;
      border: none;
      border-bottom: 2px solid #ddd;
      margin-left: 10px;
    }
  }
}

.gray-btn {
  background-color: #eee;
  color: #888;
  border: none;
  border-radius: 2px;
  padding: 6px 35px;
}

/// allllllliiiiii
.mat-datepicker-toggle-default-icon {
  width: 2em !important;
}

.light-grey-bg {
  background-color: #eee !important;
}